%define emacsver	20.7
%define xemacsver	21.1.14

%define	lispdir	%{_datadir}/emacs/site-lisp
%define	pkgdir	%{_libdir}/xemacs/xemacs-packages

Name:		apel
Version:	10.3
Release:	7
License:	GPL
URL:		ftp://ftp.m17n.org/pub/mule/apel/
BuildRoot:	 %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	 noarch

Source0:	 apel-%{version}.tar.bz2
Patch0: 	 APEL-CFG.patch

Summary:	A Portable Emacs Library
Group:   	 Applications/Editors
Requires:	 emacs >= %{emacsver}
Provides:	 apel = %{version}

## XEmacs already having apel inside the package and 
## that's looks dificult to take apel away from XEmacs.
## So I decided not to make apel-xemacs.
## %package xemacs
## Summary: A Portable [X]Emacs Library
## Group:  Applications/Editors
## Requires: xemacs >= %{xemacsver}
## Provides: apel-xemacs = %{version}


%description
APEL stands for "A Portable Emacs Library". It consists of
following modules:

poe.el - This is an emulation module mainly for basic
functions and special forms/macros of latest emacsen.
poem.el - This module provides basic functions to write
portable MULE programs.
pces.el - This module provides portable character encoding
scheme (coding-system) features.
invisible.el - This modules provides features about invisible
region.
mcharset.el - This modules provides MIME charset related
features.

and other some utility modules


## %description xemacs
## APEL stands for "A Portable Emacs Library". This is the 
## XEmacs version of APEL. You may install apel instead of 
## this if you use GNU Emacs.


%prep
%setup
%patch -p1 -b .cfg

%build


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	LISPDIR=$RPM_BUILD_ROOT%{lispdir} install
##	VERSION_SPECIFIC_LISPDIR=$RPM_BUILD_ROOT%{lispdir} \

## make clean

## make EMACS=xemacs \
##	PACKAGEDIR=$RPM_BUILD_ROOT%{pkgdir} install-package


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir %{lispdir}/apel
%doc README.ja README.en ChangeLog
%{lispdir}/apel/*


## %files xemacs
## %defattr(-,root,root)
## %doc README.ja README.en ChangeLog
## %{pkgdir}/lisp/apel/*

 
%changelog
* Thu Jul 18 2002 Akira TAGOH <tagoh@redhat.com> 10.3-7
- s/Copyright/License/
- add the owned directory.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Feb 24 2002 Tim Powers <timp@redhat.com>
- rebuilt in new environment

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat Jun 23 2001 SATO Satoru <ssato@redhat.com>
- apel-xemacs removed because XEmacs already includes it.
- made "emu" modules installed in apel/ subdirectory

* Wed Jun 20 2001 SATO Satoru <ssato@redhat.com>
- initial release (separated from semi)
